GoogleRepo() {

	if [[ -f /etc/yum.repos.d/google.repo ]]; then

		sed -i "s/enabled=1/enabled=0/g" /etc/yum.repos.d/google.repo
		OkMsg "Google repo already installed"
		return 0

	fi

cat << EOF > /etc/yum.repos.d/google.repo
[google]
name=Google - i386
baseurl=http://dl.google.com/linux/rpm/stable/i386
enabled=0
gpgcheck=1  
EOF

	if [[ $? != 0 ]]; then

		ErrMsg "Could not create google repo file"
		return 1

	fi

	cd ~
	rm -rf linux_signing_key.pub
	wget https://dl-ssl.google.com/linux/linux_signing_key.pub
		
	if [[ $? != 0 ]]; then

		ErrMsg "Could not download google repo signing key file"
		return 1

	fi

	rpm --import linux_signing_key.pub
	rm -rf linux_signing_key.pub

	[[ $? = 0 ]] && return 0

}
