Icon() {

	echo "[$FUNCNAME]"

	IsGnome
	[[ $? != 0 ]] && ErrMsg "Not Gnome running" && return 1


	ICONSET="Crashbit.tar.bz2"
	ICONBASENAME="$(basename $ICONSET .tar.bz2)"


	if [[ -d "$USERHOME/.icons/$ICONBASENAME" ]]; then

		OkMsg "Iconset already installed. Applying..."

		sudo -u "$USERNAME" gconftool-2 --type string \
			--set /desktop/gnome/interface/icon_theme "$ICONBASENAME"
	
		return 0

	fi


	rpm -q wget > /dev/null

	if [[ $? != 0 ]]; then

		yum install -y wget
		
		[[ $? != 0 ]] && ErrMsg "Could not install wget" && return 1

	fi
	
	
	cd ~
	[[ -f "$ICONSET" ]] && rm -rf "$ICONSET"

	Download name "$ICONSET"

	[[ $? != 0 ]] && ErrMsg "Could not download iconset package" && return 1	

	[[ ! -d "$USERHOME/.icons/" ]] && mkdir -p "$USERHOME/.icons/"

	#Pay attention to file extension (tar.bz2 -jxvf x tar.gz -zxvf)
	tar jxf $ICONSET --directory="$USERHOME/.icons/"

	chown -R "$USERNAME:$USERNAME" "$USERHOME/.icons/"
	
	gtk-update-icon-cache "$USERHOME/.icons/$ICONBASENAME"

	[[ -f "$ICONSET" ]] && rm -rf $ICONSET

	sudo -u "$USERNAME" gconftool-2 --type string \
			--set /desktop/gnome/interface/icon_theme "$ICONBASENAME"
	
	[[ $? = 0 ]] && OkMsg "Iconset installed" && return 0

}
