Java() {

	echo "[$FUNCNAME]"


	JAVAPACKAGE=jre-6u5-linux-i586-rpm.bin
	IsX86_64 && JAVAPACKAGE=jre-6u5-linux-x64-rpm.bin
	JAVALINKNAME=jre-1.6.0u5-sun
	JAVAPLUGINNAME=libjavaplugin.so
	JAVAINSTALLFOLDER=/usr/java/jre1.6.0_05

	rpm -q jre > /dev/null

	if [[ $? = 0 ]] && [[ -L /usr/lib/jvm/"$JAVALINKNAME" ]]; then

		OkMsg "$JAVALINKNAME package already installed"
		return 0

	fi

	# PS: Use "yum remove jre.i586" in order to reinstall jre


	# Install dependencies
	yum -y install compat-libstdc++-33 compat-libstdc++-296 wget system-switch-java expect

	[[ $? != 0 ]] && ErrMsg "Could not install required packages" && return 1


	cd ~
	rm -rf jre*				
	
	Download noname "$JAVAPACKAGE"
	
	[[ $? != 0 ]] && ErrMsg "Could not download $JAVAPACKAGE" && return 1
				
	chmod +x "$JAVAPACKAGE"

	# Run install program and use expect to automatically answer yes to the license reading and agreement
	/usr/bin/expect -c \
		"set timeout -1; spawn ./$JAVAPACKAGE; sleep 1; send -- q\r; sleep 1; send -- yes\r; expect eof"
				
	# Remove packages
	rm -rf jre*

	# Check if the package is really installed
	rpm -q jre > /dev/null
	
	if [[ $? != 0 ]]; then
		
		ErrMsg "$JAVAPACKAGE not installed"
		return 1

	elif [[ $? = 0 ]]; then

		OkMsg "$JAVAPACKAGE was installed"
	
	fi

	# Create the default java-toolsets paths for Sun Java (use galternatives to edit it later if you want)

	/bin/mkdir -p /usr/lib/jvm	# create /usr/lib/jvm folder if not present (needed for Livecds)
	
	/bin/ln -s "$JAVAINSTALLFOLDER" /usr/lib/jvm/"$JAVALINKNAME" > /dev/null


	# Install Sun Java as an alternative and set it with the higest priority
	/usr/sbin/alternatives --install \
		       /usr/bin/java java "/usr/lib/jvm/$JAVALINKNAME/bin/java" 18000

	/usr/sbin/alternatives --auto java 
				

	# Temporary fix needed due to issue with libX11 (1.1.3-4.fc8)
	# see:https://bugzilla.redhat.com/show_bug.cgi?id=372071
	# Don't seem necessary on F9
	# sed -i "s/XINERAMA/FAKEEXTN/g" "$JAVAINSTALLFOLDER"/lib/i386/xawt/libmawt.so
				

	IsX86_64
	if [[ $? = 0 ]]; then

		rpm -q java-1.6.0-openjdk-plugin

		if [[ $? != 0 ]]; then
			
			yum install -y java-1.6.0-openjdk-plugin

		fi

	else

		# Install Sun Java Plugin as an alternative of libjavaplugin and set it with the higest priority
		/usr/sbin/alternatives --install						\
		       /usr/lib/mozilla/plugins/"$JAVAPLUGINNAME" "$JAVAPLUGINNAME"		\
		       /usr/lib/jvm/"$JAVALINKNAME"/plugin/i386/ns7/libjavaplugin_oji.so 18000
				
		/usr/sbin/alternatives --auto "$JAVAPLUGINNAME"

	fi

	mozilla-plugin-config -i -g > /dev/null

}
